The opkg update command failed with code 6 on Linksys EA8300

Hello, good day!
Hope that you are doing well.
My name is Alfonso and I am a Newbie.
I have a Linksys EA8300 working with OpenWrt with latest version 22.03.1.
Before to make the upgrade to the latest version I tried to install package libustream-mbedtls but I couldn;t.
I delete the package libustream-wolf already installed thinking to solve the problem, but no
Now, I can not refresh the opkg updated list.
Could you please, give me any direction how to solve the issue?
Thanks in advance for all you help!

Below is the error showed:

'Executing package manager
Downloading httpsdownloads.openwrt.orgreleases22.03.0targetsipq40xxgenericpackagesPackages.gz
 Failed to download the package list from httpsdownloads.openwrt.orgreleases22.03.0targetsipq40xxgenericpackagesPackages.gz

Downloading httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4basePackages.gz
 Failed to download the package list from httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4basePackages.gz

Downloading httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4luciPackages.gz
 Failed to download the package list from httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4luciPackages.gz

Downloading httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4packagesPackages.gz
 Failed to download the package list from httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4packagesPackages.gz

Downloading httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4routingPackages.gz
 Failed to download the package list from httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4routingPackages.gz

Downloading httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4telephonyPackages.gz
 Failed to download the package list from httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4telephonyPackages.gz
Errors
wget SSL support not available, please install one of the libustream-.[ssltls] packages as well as the ca-bundle and ca-certificates packages.
wget SSL support not available, please install one of the libustream-.[ssltls] packages as well as the ca-bundle and ca-certificates packages.
wget SSL support not available, please install one of the libustream-.[ssltls] packages as well as the ca-bundle and ca-certificates packages.
wget SSL support not available, please install one of the libustream-.[ssltls] packages as well as the ca-bundle and ca-certificates packages.
wget SSL support not available, please install one of the libustream-.[ssltls] packages as well as the ca-bundle and ca-certificates packages.
wget SSL support not available, please install one of the libustream-.[ssltls] packages as well as the ca-bundle and ca-certificates packages.
Collected errors
  opkg_download Failed to download httpsdownloads.openwrt.orgreleases22.03.0targetsipq40xxgenericpackagesPackages.gz, wget returned 1.
  opkg_download Failed to download httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4basePackages.gz, wget returned 1.
  opkg_download Failed to download httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4luciPackages.gz, wget returned 1.
  opkg_download Failed to download httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4packagesPackages.gz, wget returned 1.
  opkg_download Failed to download httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4routingPackages.gz, wget returned 1.
  opkg_download Failed to download httpsdownloads.openwrt.orgreleases22.03.0packagesarm_cortex-a7_neon-vfpv4telephonyPackages.gz, wget returned 1.
The opkg update command failed with code 6.'

DL the ipk to your PC, and transfer it to the routers /tmp dir, then manually install it using opkg install file.ipk.

1 Like

Dear Frollic,
Thanks so much for your comment & help.
Would you please, tell me where I can download the ipk files needed?
Thanks in advance for all your support!

it not looking for 22.03.1 files ?
could change " OPKG Configuration"
but I would just factory reset and reconfigure

Hello Lucky,
Thanks for your advice, I will do it and later report the results.
Best Regards

If you haven't set a password to get into Luci you will get a code 6 error when you try to update packages. Set the password then log in and you should be able to install packages without downloading ipk files and manually installing them.

This is incorrect. The admin password for the router has nothing to do with the opkg system.

The password is important for protecting the device from unauthorized users and thus should be set (preferably with a strong password), but the state of the password will not have any impact on the opkg system.

1 Like

Peter Sherman / Joe Corporon, thanks for your feedback!
The system Password was set up with previous versión to 22.03.2 and the opkg was able to update the list.
Then It was upgraded to 23.03.1 sysupgrade versión and now I am not able to refresh list of packsges.

Let's see your configuration:

Please copy the output of the following commands and post it here using the "Preformatted text </> " button:
grafik
Remember to redact passwords, MAC addresses and any public IP addresses you may have:

cat /etc/config/network
cat /etc/config/wireless
cat /etc/config/dhcp
cat /etc/config/firewall

I just responded on another thread about this...

I've had the same thing... intermittently.
If you go into the opkg tab and change all the https to http, it resolves. But, that fix does not survive upgrades. So if you do a firmware upgrade, you may need to re-edit those headers.

I am not sure if I should start a new thread but I am getting the same error message on a Dumb AP x4s/R7800 router. I removed "s" from all of the https: under:
System->Software->Configure opkg->/etc/opkg/distfeeds.conf

Still getting the below after I click on "Update Lists"

Any ideas?

Executing package manager
Downloading http://downloads.openwrt.org/releases/22.03.1/targets/ipq806x/generic/packages/Packages.gz
*** Failed to download the package list from http://downloads.openwrt.org/releases/22.03.1/targets/ipq806x/generic/packages/Packages.gz

Downloading http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/base/Packages.gz
*** Failed to download the package list from http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/base/Packages.gz

Downloading http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/luci/Packages.gz
*** Failed to download the package list from http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/luci/Packages.gz

Downloading http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/packages/Packages.gz
*** Failed to download the package list from http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/packages/Packages.gz

Downloading https://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/routing/Packages.gz
*** Failed to download the package list from https://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/routing/Packages.gz

Downloading http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/telephony/Packages.gz
*** Failed to download the package list from http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/telephony/Packages.gz
Errors
Collected errors:
 * opkg_download: Failed to download http://downloads.openwrt.org/releases/22.03.1/targets/ipq806x/generic/packages/Packages.gz, wget returned 4.
 * opkg_download: Check your network settings and connectivity.

 * opkg_download: Failed to download http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/base/Packages.gz, wget returned 4.
 * opkg_download: Check your network settings and connectivity.

 * opkg_download: Failed to download http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/luci/Packages.gz, wget returned 4.
 * opkg_download: Check your network settings and connectivity.

 * opkg_download: Failed to download http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/packages/Packages.gz, wget returned 4.
 * opkg_download: Check your network settings and connectivity.

 * opkg_download: Failed to download https://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/routing/Packages.gz, wget returned 4.
 * opkg_download: Check your network settings and connectivity.

 * opkg_download: Failed to download http://downloads.openwrt.org/releases/22.03.1/packages/arm_cortex-a15_neon-vfpv4/telephony/Packages.gz, wget returned 4.
 * opkg_download: Check your network settings and connectivity.
The opkg update command failed with code 6.```
1 Like

I am certainly not saying my internet and settings are perfect but I don't think that's it.

I get wifi on my phone through this dumb AP and I've done multiple speedtests.

I do see this when trying to ping sites through Luci:

PING openwrt.org (139.59.209.225): 56 data bytes

--- openwrt.org ping statistics ---
5 packets transmitted, 0 packets received, 100% packet loss

Did you read the network settings section?

This smells of a missing gateway. Did you enter the gateway?

Let's see your config...

Please copy the output of the following commands and post it here using the "Preformatted text </> " button:
grafik
Remember to redact passwords, MAC addresses and any public IP addresses you may have:

cat /etc/config/network
1 Like
root@OpenWrt:~# cat /etc/config/network

config interface 'loopback'
        option device 'lo'
        option proto 'static'
        option ipaddr '127.0.0.1'
        option netmask '255.0.0.0'

config globals 'globals'
        option ula_prefix 'fda1:8683:7f37::/48'

config device
        option name 'br-lan'
        option type 'bridge'
        list ports 'eth1.1'

config interface 'lan'
        option device 'br-lan'
        option proto 'static'
        option netmask '255.255.255.0'
        option ip6assign '60'
        option ipaddr '192.168.1.3'
        option gateway '192.168.1.1'
        list dns '192.168.1.1'

config interface 'wan'
        option device 'eth0.2'
        option proto 'dhcp'
        option peerdns '0'
        list dns '192.168.1.1'

config interface 'wan6'
        option device 'eth0.2'
        option proto 'dhcpv6'
        option reqaddress 'try'
        option reqprefix 'auto'
        option peerdns '0'
        list dns '192.168.1.1'

config switch
        option name 'switch0'
        option reset '1'
        option enable_vlan '1'

config switch_vlan
        option device 'switch0'
        option vlan '1'
        option ports '1 2 3 4 6t'

config switch_vlan
        option device 'switch0'
        option vlan '2'
        option ports '5 0t'

The gateway is listed in your config, so that is good. Can you ping the gateway (192.168.1.1) and is that the correct ip address for your main router?

wolfssl was updated for a severe vulnerability recently, and anything depending on it (including curl and opkg) broke initially. Suggest sysupgrade to the latest OpenWRT version with correct libs and dependencies.

I upgraded via sysupgrade through Luci to 22.03.2 and reran the "Update Lists".

It worked!

:grinning:

Thank you @psherman and @rhester72 !!

Dear All,
Thanks so much for all your contribution and great help.
I followed your suggestion to apply the Factory Reset to the System and after it the Opkg update Issue was fixed.
Now, the Opkg Update fail code 6 is Solved and can be listed / showed without any problem..
Thanks a lot.